Bug 1573080 - kernel-4.16 doesn't boot on Lenovo P50 [NEEDINFO]
Summary: kernel-4.16 doesn't boot on Lenovo P50
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 07:27 UTC by Mario Fusco
Modified: 2018-08-29 14:56 UTC (History)
25 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-29 14:56:04 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Mario Fusco 2018-04-30 07:27:02 UTC
Latest 2 kernels: kernel-4.16.3-200.fc27.x86_64 and kernel-4.16.4-200.fc27.x86_64 don't boot on Lenovo P50. Since I know that there were problems in past doing a boot when docked I also undocked my machine and retried, but still no luck. 

I don't have any other information to provide: the screen remains totally black with a blinking cursor and nothing else happens. If there is any log file that I could check to help figuring out what's happening please let me know.

Comment 1 Jeremy Cline 2018-04-30 14:10:43 UTC
Hi Mario,

Thanks for the bug report. The first thing to try is removing "quiet" and "rhgb" from the kernel command line. Hopefully this will produce some output that sheds light on what's breaking. Some other debugging tips are here: https://docs.fedoraproject.org/quick-docs/en-US/kernel/troubleshooting.html#boot-failures.

It would also be good to know if you can boot a live image of Fedora 28: https://dl.fedoraproject.org/pub/fedora/linux/development/28/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-28-20180427.n.0.iso.

Comment 2 Mario Fusco 2018-05-03 11:36:20 UTC
Hi Jeremy,

thanks for reply. I tried what you asked and the problem is that it is not able to start X. I guess that the problem is with noveau driver of the nvida graphic card. To be honest I don't know how to proceed with this, any suggestion is welcome.

I have one more question: what will happen if I will try to upgrade to Fedora 28? Will I keep the kernel-4.15.17-300.fc27.x86_64 (which is the only one that I am sure that works for now) available?

Comment 3 Jeremy Cline 2018-05-03 14:33:26 UTC
(In reply to Mario Fusco from comment #2)
> Hi Jeremy,
> 
> thanks for reply. I tried what you asked and the problem is that it is not
> able to start X. I guess that the problem is with noveau driver of the nvida
> graphic card. To be honest I don't know how to proceed with this, any
> suggestion is welcome.

I know there's at least one Fedora user with a P50 using the nouveau driver. They've switched it to nvidia-only graphics in the BIOS since hybrid graphics caused problems with external monitors (as of 4.16.4). Can you try that, and also try the Fedora 28 live image?

> 
> I have one more question: what will happen if I will try to upgrade to
> Fedora 28? Will I keep the kernel-4.15.17-300.fc27.x86_64 (which is the only
> one that I am sure that works for now) available?

There's a configuration setting in /etc/dnf/dnf.conf called "installonly_limit" which defaults to 3. Turning this up will let you keep more kernels installed.

Comment 4 Stephen Gallagher 2018-05-03 14:42:02 UTC
(In reply to Jeremy Cline from comment #3)
> (In reply to Mario Fusco from comment #2)
> > Hi Jeremy,
> > 
> > thanks for reply. I tried what you asked and the problem is that it is not
> > able to start X. I guess that the problem is with noveau driver of the nvida
> > graphic card. To be honest I don't know how to proceed with this, any
> > suggestion is welcome.
> 
> I know there's at least one Fedora user with a P50 using the nouveau driver.
> They've switched it to nvidia-only graphics in the BIOS since hybrid
> graphics caused problems with external monitors (as of 4.16.4). Can you try
> that, and also try the Fedora 28 live image?

Hi Mario. I'm the Fedora user referenced above :)

I've had numerous interesting experiences with this laptop. My first question to you would be to provide the output of `lspci`. There are actually two different models of P50, one with a Quadro M1000M nVidia adapter and one with the Quadro M2000M adapter. Both have different issues, of course.

In my situation (with the M1000M), my problems are with using the hybrid graphics mode. In this P50, both the Intel graphics and the nVidia graphics are connected to the laptop monitor, but external monitors are connected only to the nVidia device. I had numerous problems with trying to connect external monitors if the Intel graphics was enabled.

After I switched (in the BIOS) over to using nVidia only, things worked well for me.

Comment 5 Mario Fusco 2018-05-03 16:12:12 UTC
Hi Jeremy and Stephen,

I'm really sorry, but I just realized that I gave you one wrong info: I'm not using the nouveau driver (which indeed is blacklisted on my machine) but the native nvidia one that I installed following this tutorial https://www.if-not-true-then-false.com/2015/fedora-nvidia-guide/ I totally forgot this, sorry again. I installed it because I have a big monitor at home (4K, 43") and using that driver was the only way to have it working at 60 Hz instead of 30.

Apparently dkms was working keeping in sync the driver with new kernels with 4.15.x but stopped working on 4.16.x. I tried to figure out why, but of course I couldn't.

What do you suggest? Should I remove the nvidia driver and use nouveau?

Stephen, I have your same machine: Quadro M1000M nVidia adapter.

Thanks for your patience,
Mario

Comment 6 Stephen Gallagher 2018-05-03 16:20:14 UTC
FWIW, in Fedora 28 you won't need that tutorial; the nVidia drivers will be available through the GNOME Software app. That being said, I for one prefer to use the open source drivers (and gain access to Wayland sessions).

The Nouveau drivers work fine on my system, though my external monitor is only WQHD (2560x1440) and not 4k.

Do note however that you really want kernel 4.16.3 or later as they fixed numerous bugs in the Nouveau driver at that point. It's working quite well now, but earlier than that (on this hardware at least) it was finicky.

So, as Jeremy suggested, if you can put F28 Workstation Live on a thumbdrive and boot it, I think you'll be able to see how it performs on Nouveau for you.

Comment 7 Mario Fusco 2018-05-03 17:09:36 UTC
Stephen,

I'll check F28 Live as you suggested (downloading it right now), but I'll also need to remove the nvidia proprietary driver and re-enable nouveau. Can you please confirm that these are the right steps to do this? https://ask.fedoraproject.org/en/question/78969/how-to-remove-the-nvidia-proprietary-driver/

Thanks,
Mario

Comment 8 Stephen Gallagher 2018-05-03 17:15:14 UTC
(In reply to Mario Fusco from comment #7)
> Stephen,
> 
> I'll check F28 Live as you suggested (downloading it right now), but I'll
> also need to remove the nvidia proprietary driver and re-enable nouveau. Can
> you please confirm that these are the right steps to do this?
> https://ask.fedoraproject.org/en/question/78969/how-to-remove-the-nvidia-
> proprietary-driver/
> 
> Thanks,
> Mario

I cannot confirm that, as the steps may be different depending on how you installed them. Those look generally correct, but I will point out that nVidia drivers are not supported by the Fedora Project and so if you're having trouble with them specifically you will need to contact nVidia.

Comment 9 Brent Baude 2018-05-08 21:40:57 UTC
I tried to boot F28 on a USB stick and it never made it to X|Wayland. I had to reboot and Select the basic graphics options.  For the record, can you state what should be selected as the graphics in the bios and what should then be the driver in Linux?

Comment 10 Mario Fusco 2018-05-14 08:41:19 UTC
Sorry for delay in my reply (I was busy at Summit last week). I also tried to boot F28 on a USB stick and found exactly the same reported by Brent in former comment. Any other suggestion?

Comment 11 Stephen Gallagher 2018-05-14 16:05:15 UTC
At the time of F28 release, I needed to have discrete (nVidia) graphics selected in the BIOS.

I am happy to report that as of kernel-4.16.7-300.fc28.x86_64 and the latest GNOME updates that just got pushed stable, I can again use the hybrid graphics and Wayland.

Comment 12 Mario Fusco 2018-05-16 09:27:40 UTC
I removed the nvidia proprietary driver as explained here https://ask.fedoraproject.org/en/question/78969/how-to-remove-the-nvidia-proprietary-driver/ and upgraded to Fedora 28. Now everything seems to work fine except that I'm not able to boot when the laptop is docked which is also the reason why I originally installed the nvidia drivers. I'm seeing that this issue has been already reported here https://bugzilla.redhat.com/show_bug.cgi?id=1527669 and also for F28 here https://ask.fedoraproject.org/en/question/117289/laptop-running-fedora-28-will-not-boot-when-docked/ I tried with both hybrid and discrete graphic but same result. For now I don't see any better option than keeping the current configuration and avoid using the docking station.

Comment 13 Brent Baude 2018-05-21 21:37:06 UTC
I just compiled 4.17.0-rc6 from vanilla ... while docked with external monitors, it booted all the way.  There were the "timeouts" that we had before, but this is the first kernel since 4.13 to boot to graphical mode.

Comment 14 Brent Baude 2018-05-21 21:50:04 UTC
Also booted kernel-4.17.0-0.rc6.git0.1.fc29.x86_64 and it worked nicely

Comment 15 Corey Ashford 2018-05-21 22:48:06 UTC
(In reply to Brent Baude from comment #14)
> Also booted kernel-4.17.0-0.rc6.git0.1.fc29.x86_64 and it worked nicely

I just tried this same kernel and am happy to report that it is working for the first time since 4.13.  So whatever changed, it's working now.

Comment 16 Corey Ashford 2018-05-21 22:52:08 UTC
(In reply to Corey Ashford from comment #15)
> (In reply to Brent Baude from comment #14)
> > Also booted kernel-4.17.0-0.rc6.git0.1.fc29.x86_64 and it worked nicely
> 
> I just tried this same kernel and am happy to report that it is working for
> the first time since 4.13.  So whatever changed, it's working now.

Although, with this new kernel, there are some odd audio "thump" anomalies.  I hope these get resolved soon.

Comment 17 Corey Ashford 2018-05-21 23:48:48 UTC
(In reply to Corey Ashford from comment #16)
> (In reply to Corey Ashford from comment #15)
> > (In reply to Brent Baude from comment #14)
> > > Also booted kernel-4.17.0-0.rc6.git0.1.fc29.x86_64 and it worked nicely
> > 
> > I just tried this same kernel and am happy to report that it is working for
> > the first time since 4.13.  So whatever changed, it's working now.
> 
> Although, with this new kernel, there are some odd audio "thump" anomalies. 
> I hope these get resolved soon.

and.. I just experienced a hard lock up within 90 minutes of booting this 4.17.0rc6 kernel.

Comment 18 Jeremy Cline 2018-05-30 19:31:57 UTC
(In reply to Corey Ashford from comment #16)
> (In reply to Corey Ashford from comment #15)
> > (In reply to Brent Baude from comment #14)
> > > Also booted kernel-4.17.0-0.rc6.git0.1.fc29.x86_64 and it worked nicely
> > 
> > I just tried this same kernel and am happy to report that it is working for
> > the first time since 4.13.  So whatever changed, it's working now.
> 
> Although, with this new kernel, there are some odd audio "thump" anomalies. 
> I hope these get resolved soon.

Hi Corey,

Those thumps are probably because power management was turned on starting with Fedora 28. You can confirm this by passing "snd_hda_intel.power_save=0" on the kernel command line, which should cause the thumps to stop. Can you open a separate bug against the kernel with the output of alsa-info.sh attached?

Comment 19 Corey Ashford 2018-05-31 01:25:31 UTC
(In reply to Jeremy Cline from comment #18)
> (In reply to Corey Ashford from comment #16)
> > (In reply to Corey Ashford from comment #15)
> > > (In reply to Brent Baude from comment #14)
> > > > Also booted kernel-4.17.0-0.rc6.git0.1.fc29.x86_64 and it worked nicely
> > > 
> > > I just tried this same kernel and am happy to report that it is working for
> > > the first time since 4.13.  So whatever changed, it's working now.
> > 
> > Although, with this new kernel, there are some odd audio "thump" anomalies. 
> > I hope these get resolved soon.
> 
> Hi Corey,
> 
> Those thumps are probably because power management was turned on starting
> with Fedora 28. You can confirm this by passing "snd_hda_intel.power_save=0"
> on the kernel command line, which should cause the thumps to stop. Can you
> open a separate bug against the kernel with the output of alsa-info.sh
> attached?

Done! https://bugzilla.redhat.com/show_bug.cgi?id=1584463

I haven't tried rebooting with that option yet, but you're right, it really does sounds like a power-on thump.  I don't know if there's a way to mitigate that or not.

Thanks

Comment 20 Axel S. 2018-06-06 09:27:01 UTC
Hi!

Chiming in here as this helped me to narrow down issues with running Fedora 28 while reviewing a brand new P52 which according to lspci also boasts a hybrid-gfx solution featuring a nvidia quadro p2000 mobile (GP107GLM, rev a1) in addition to the i7 (8850H) GPU-onboard grapics unit.
In the default setup (hybrid-gfx) the boot process from a live medium fails with some weird switching between the X/Wayland initialized screen and the boot-log with little to none user-interaction possible.
when selecting discrete graphics unit only in the bios settings (config -> display) as suggested in other comments the graphical desktop starts and login is possible but heavily lagging as the gnome process seems to hog pretty much all cpu-ressources on all cores rendering the system almost unusable.

installing the proprietary nvidia drivers (which results in a blacklisted nouveau driver) solved this yielding a basically usable system (some other things are still not working but i may submit another bug for those...).

once this is done i can switch back to hybrid setting (tested with updated kernel 4.16.13-300) and both vga compatible controllers are listed by lspci ('Intel Corporation Device 3e9b' and the afforementioned nvidia p2000 mobile) and the graphics seem to work flawlessly (without flicker or hogging cpu-ressources).

Comment 21 Justin M. Forbes 2018-07-23 14:56:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 22 Justin M. Forbes 2018-08-29 14:56:04 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.